Skip to content

Delete Auto Scaling Group

DELETE
/api/v1/scaler/scalegroups/{scaler_id}
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/{scaler_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Permanently deletes an auto scaling group. All of the group’s running nodes are terminated and the group is removed - the action cannot be undone. Use the group id returned by List. On success the API returns code: 204 with an empty data object.

scaler_id
required
integer

The id of the auto scaling group to delete, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the delete request.

Example

<API_KEY>
location
required
string

Region of the group being deleted.

Example

<LOCATION>

Successful response

Media typeapplication/json

Deletion confirmation. The group and all its nodes have been removed.

object
code
integer
data
object
errors
object
message
string

Example

{
"code": 204,
"message": "Success"
}